# Method SSL.Cipher.MACAlgorithm()->hash_packet()

Method hash_packet

  `string hash_packet(object packet, int seq_num, int|void adjust_len)`

Description

  Generates a header and creates a HMAC hash for the given packet.

Parameter `packet`

  Packet to generate a MAC hash for.

Parameter `seq_num`

  Sequence number for the packet in the stream.

Parameter `adjust_len`

  Added to `sizeof(packet)` to get the packet length.

Returns

  Returns the MAC hash for the packet.